import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiUserService } from "../../services/sti-user-service";
import * as i0 from "@angular/core";
export declare class StiAboutWindowComponent implements OnInit {
    model: StiModelService;
    userService: StiUserService;
    get align(): string;
    get version(): any;
    get releaseDate(): any;
    get copyright(): any;
    get userMail(): any;
    get hasLicense(): any;
    constructor(model: StiModelService, userService: StiUserService);
    close(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiAboutWindowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiAboutWindowComponent, "sti-about-window-component", never, {}, {}, never, never, false, never>;
}
